#ifndef CONSOLE_H
#include "console.h"
#endif

#define DL11_RCSR 0177560
#define DL11_RCSR_DONE  0x80
#define DL11_RBUF 0177562
#define DL11_XCSR 0177564
#define DL11_XCSR_READY 0x80
#define DL11_XBUF 0177566

void cputc (char c) {
  volatile unsigned int *xcsr = (unsigned int *) DL11_XCSR;
  unsigned char *xbuf = (unsigned char *) DL11_XBUF;
  while (! (*xcsr & DL11_XCSR_READY)) ;
  *xbuf = c;
}

char cgetc() {
  volatile unsigned int *rcsr = (unsigned int *) DL11_RCSR;
  unsigned char *rbuf = (unsigned char *) DL11_RBUF;
  while (! (*rcsr & DL11_RCSR_DONE)) ;
  return *rbuf & 0x7F;
}

