OUTPUT_FORMAT("a.out-pdp11", "a.out-pdp11","a.out-pdp11")
OUTPUT_ARCH(pdp11)
ENTRY(_start)

/* Specifikace paměťových prostorů čipu */
MEMORY {
  RAM (xrw) : ORIGIN = 0x00000000, LENGTH = 56K
}
/* Kam umístíme stack - navrch RAM */
_estack = ORIGIN(RAM) + LENGTH(RAM) - 2;
/* Definice výstupních sekcí       */
SECTIONS {
  .text : {
    _start = .;
    *(.text)            /* .text*   sections (code)                              */
    . = ALIGN(4);
    *(.rodata)          /* .rodata* sections (constants, strings, etc.)          */
    . = ALIGN(4);
    PROVIDE_HIDDEN (__init_array_start = .);
    KEEP (*(.init_array*))	/* for gcc   */
    PROVIDE_HIDDEN (__init_array_end   = .);
    . = ALIGN(16);
  } >RAM
  
  _sidata = .;
  .data : AT ( _sidata ) {
    _sdata = .;
    *(.data)            /* .data* sections */
    . = ALIGN(16);
    _edata = .;
  } >RAM
  
  .bss (NOLOAD) : {
    . = ALIGN(4);
    _sbss = .;
    *(.bss)             /* .bss*  sections */
    *(COMMON)
    _ebss = .;
  } >RAM
}
